## dnprogs-2.04.tar.gz

=== Makefile ===
# Top level Makefile for DECnet programs

include Makefile.common

#
# PKGNAME determines the .tar.gz file name and also is the directory name
#
PKGNAME=dnprogs

SUBDIRS=include libdnet libdaemon libdap librms fal dndir dnsubmit dndel \
	dncopy apps dntask mail phone dnetd scripts

all: 	
	@. scripts/check_kernel.sh; if [ $$? = 1 ]; then exit 1; fi
	@for i in $(SUBDIRS); do make -C $$i $@ ; done

# Unconditional build - for those brave souls who "know what they're doing".
please:
	@echo -e \\a I really hope you know what you are doing!
	@sleep 5
	for i in $(SUBDIRS); do make -C $$i all ; done

install:
	@for i in $(SUBDIRS); do make -C $$i $@ ; done

dep depend:	
	@for i in $(SUBDIRS); do make -C $$i $@ ; done

tags:	
	etags */*.cc */*.c


backup:
	rm -f /var/tmp/$(PKGNAME).tgz
	tar -czvf /var/tmp/$(PKGNAME).tgz -Xexcludes-backup . 
	cp /var/tmp/$(PKGNAME).tgz /msdos/dev/bosy/

clean:
	rm -rf debian/tmp
	rm -rf rpmbuild
	@for i in $(SUBDIRS); do make -C $$i $@ ; done

#
# Make the distribution tar file
#
dist:	
	for i in $(SUBDIRS); do cd $$i; makedepend; cd ..; done
	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi
	if [ ! -d ../$(PKGNAME)-$(VERSION) ]; then cd ..; ln -s $(PKGNAME) $(PKGNAME)-$(VERSION); fi
	cd ..; tar -czvhf /var/tmp/$(PKGNAME)-$(VERSION).tar.gz -X$(PKGNAME)-$(VERSION)/excludes-dist $(PKGNAME)-$(VERSION);
	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi

#
# Make a snapshot release
#
snap:	DATE = $(shell date +'%Y%m%d')
snap:
	for i in $(SUBDIRS); do cd $$i; makedepend; cd ..; done	
	if [ -L ../$(PKGNAME)-$(DATE) ]; then rm ../$(PKGNAME)-$(DATE); fi
	if [ ! -d ../$(PKGNAME)-$(DATE) ]; then cd ..; ln -s $(PKGNAME) $(PKGNAME)-$(DATE); fi
	cd ..; tar -czvhf /var/tmp/$(PKGNAME)-$(DATE).tar.gz -X$(PKGNAME)-$(DATE)/excludes-dist $(PKGNAME)-$(DATE);
	if [ -L ../$(PKGNAME)-$(DATE) ]; then rm ../$(PKGNAME)-$(DATE); fi

#
# Make RPM package for Red Hat systems.
#
rpm:
	@if [ $$UID != 0 ]; then echo You must be root to make RPMs; exit 1; fi
	rm -rf rpmbuild
	make clean
	make prefix=/usr RELEASE=true -j
	make DESTDIR=`pwd`/rpmbuild install
	make dist
	cp /var/tmp/$(PKGNAME)-$(VERSION).tar.gz /usr/src/redhat/SOURCES
	install -d rpmbuild/etc/rc.d/init.d
	install -d rpmbuild/etc/rc.d/rc3.d
	install -d rpmbuild/usr/doc
	install scripts/decnet.sh rpmbuild/etc/rc.d/init.d/decnet
	ln -sf ../init.d/decnet rpmbuild/etc/rc.d/rc3.d/S09decnet
	ln -sf libdnet.so.2 rpmbuild/usr/lib/libdnet.so.1
	LIBCPPLINK=`ldd $(prefix)/sbin/fal|grep stdc++|cut -d' ' -f3` ; \
	LIBCPPNAME=`ls -l $$LIBCPPLINK|sed 's/.*-> \(\)/\1/g'` ;        \
	install -m 755 $$LIBCPPLINK `pwd`/rpmbuild/usr/lib;             \
	install -m 755 /usr/lib/$$LIBCPPNAME `pwd`/rpmbuild/usr/lib;    \
	sed -e's/%%PACKAGENAME%%/$(PKGNAME)/g'                          \
	    -e's/%%VERSION%%/$(VERSION)/g'                              \
	    -e's/%%MAJOR_VERSION%%/$(MAJOR_VERSION)/g'                  \
	    -e's@%%PREFIX%%@/usr@g'                                     \
	    -e's@%%LIBPREFIX%%@/usr@g'                                  \
	    -e's@%%CONFPREFIX%%@/@g'                                    \
	    -e"s@%%LIBCPPLINK%%@$$LIBCPPLINK@g"                         \
	    -e"s@%%LIBCPPNAME%%@/usr/lib/$$LIBCPPNAME@g"                \
	   < rpm.spec >$(PKGNAME).spec
	cp README NEWS Documentation/*.README /usr/src/redhat/BUILD
	rpm -bb --buildroot `pwd`/rpmbuild -v $(PKGNAME).spec
	rm -f $(PKGNAME).spec

#
# Make Debian package. It's best to do this immediately after 'make rpm'
#
deb:
	@if [ $$UID != 0 ]; then echo You must be root to make DEBs; exit 1; fi
	rm -f Documentation/*~ Documentation/*.bak
	sed -e's/%%PACKAGENAME%%/$(PKGNAME)/g'        \
	    -e's/%%VERSION%%/$(VERSION)/g'            \
	    -e's@%%PREFIX%%@$(prefix)@g'              \
	    -e"s/%%DATE%%/`date --rfc-822`/g"         \
	   <debian-changelog >debian/changelog
	echo >>debian/changelog
	cat NEWS >>debian/changelog
	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi
	if [ ! -d ../$(PKGNAME)-$(VERSION) ]; then cd ..; ln -s $(PKGNAME) $(PKGNAME)-$(VERSION); fi
	cd ../$(PKGNAME)-$(VERSION); debian/rules binary-arch
	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi

#
# Copy binaries to the web preload directory.
# Only really works on my Intel machine, hence the check
#
bindist: dist rpm deb
	@if [ `uname -n` != "pandh" ]; then echo "Only do this on Patrick\'s Intel box"; exit 1; fi
	cp /usr/src/redhat/SOURCES/$(PKGNAME)-$(VERSION).tar.gz /home/patrick/public_html/decnet
	cp ../$(PKGNAME)_$(VERSION)-1_i386.deb /home/patrick/public_html/decnet
	cp /usr/src/redhat/RPMS/$(ARCH)/$(PKGNAME)-$(VERSION)-1.i386.rpm /home/patrick/public_html/decnet
	cp /scratch/sparclinux/$(PKGNAME)-$(VERSION)-1.sparc.rpm /home/patrick/public_html/decnet

#
# Dummy rule for sub-directories
#
dummy:


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== apps/Makefile ===
#
# Makefile for Eduardo's apps
#
include ../Makefile.common
CC        = gcc
INCDIR	  = -I.
LDFLAGS   = 
CFLAGS   += -D_SVID_SOURCE
#------------------------------------------------------------------------------

PROG1OBJS = startnet.o
PROG2OBJS = sethost.o 
PROG4OBJS = dnping.o
PROG5OBJS = ctermd.o
PROG6OBJS = dnmount.o
PROG7OBJS = rmtermd.o

PROG1 = startnet
PROG2 = sethost
PROG4 = dnping
PROG5 = ctermd
PROG6 = dnmount
PROG7 = rmtermd
MANPAGES1 = sethost.1 dnping.1 dnmount.1
MANPAGES5 = decnet.conf.5
MANPAGES8 = startnet.8 ctermd.8 rmtermd.8

ALLPROGS=$(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG7) 
ifeq (/usr/include/linux/dap_fs.h,$(wildcard /usr/include/linux/dap_fs.h))
ALLPROGS+=$(PROG6)
endif

all: $(ALLPROGS)

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG1OBJS) $(LIBDNET)

$(PROG2): $(PROG2OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG2OBJS) $(LIBDNET)

$(PROG3): $(PROG3OBJS)
	$(CC) -o $@ $(CFLAGS) $(PROG3OBJS)

$(PROG4): $(PROG4OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG4OBJS) $(LIBDNET)

$(PROG5): $(PROG5OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) -o $@ $(CFLAGS) $(PROG5OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

$(PROG6): $(PROG6OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG6OBJS) $(LIBDNET)

$(PROG7): $(PROG7OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) -o $@ $(CFLAGS) $(PROG7OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

dep:	
	makedepend *.c 2>/dev/null

clean:
	rm -f $(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG6) $(PROG7) \
	*.o *.a *.so *~

install:
	install -d $(prefix)/sbin
	install -d $(prefix)/bin
	install -d $(prefix)/man/man1
	install -d $(prefix)/man/man5
	install -d $(prefix)/man/man8
	install -d $(sysconfprefix)/etc
	install -m 0750 -s $(PROG1) $(prefix)/sbin
	install -m 0755 -s $(PROG2) $(prefix)/bin
	install -m 0755 -s $(PROG4) $(prefix)/bin
	install -m 0755 -s $(PROG5) $(prefix)/sbin
	if [ -f $(PROG6) ]; then install -m 0750 -s $(PROG6) $(prefix)/sbin; fi
	install -m 0755 -s $(PROG7) $(prefix)/sbin
	install -m 0644 $(MANPAGES1) $(prefix)/man/man1
	install -m 0644 $(MANPAGES5) $(prefix)/man/man5
	install -m 0644 $(MANPAGES8) $(prefix)/man/man8
	if [ ! -f $(sysconfprefix)/etc/decnet.conf ]; then \
		install -m 0644 decnet.conf $(sysconfprefix)/etc/decnet.conf.sample; \
	fi

# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== dncopy/Makefile ===
# Makefile for dncopy

include ../Makefile.common

PROG1=dncopy
PROG2=dntype

MANPAGES=dncopy.1

PROG1OBJS=dncopy.o file.o dnetfile.o unixfile.o dnetfile_dap.o

all: $(PROG1) $(PROG2)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)

$(PROG2): $(PROG1)
	ln -sf $< $@

install:
	install -d $(prefix)/bin
	install -d $(prefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	ln -sf $(PROG1) $(prefix)/bin/$(PROG2)
	install -m 0644 $(MANPAGES) $(prefix)/man/man1
	ln -sf $(PROG1).1 $(prefix)/man/man1/$(PROG2).1


dep depend:	
	makedepend *.cc *.c 2>/dev/null

clean:
	makedepend
	rm -f $(PROG2) $(PROG1) *.o *.bak


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== dndel/Makefile ===
# Makefile for dndel

include ../Makefile.common

PROG1=dndel

MANPAGES=dndel.1

PROG1OBJS=dndel.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)

install:
	install -d $(prefix)/bin
	install -d $(prefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(prefix)/man/man1

dep depend:	
	makedepend *.cc *.c 2>/dev/null

clean:
	makedepend
	rm -f $(PROG1) *.o *.bak


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== dndir/Makefile ===
# Makefile for dndir

include ../Makefile.common

PROG1=dndir

MANPAGES=dndir.1

PROG1OBJS=dndir.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)

install:
	install -d $(prefix)/bin
	install -d $(prefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(prefix)/man/man1

dep depend:	
	makedepend *.cc *.c 2>/dev/null

clean:
	makedepend
	rm -f $(PROG1) *.o *.bak


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== dnetd/Makefile ===
# Makefile for DECnet super server

include ../Makefile.common

PROG1=dnetd

MANPAGES8=dnetd.8
MANPAGES5=dnetd.conf.5

PROG1OBJS=dnetd.o task_server.o

all: $(PROG1)

.c.o:
	$(CC) $(CFLAGS) $(BINARY_PREFIX) -c -o $@ $<

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) $(CFLAGS) -o $@ $(PROG1OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

install:
	install -d $(prefix)/bin
	install -d $(prefix)/man/man5
	install -d $(prefix)/man/man8
	install -m 0750 -s $(PROG1) $(prefix)/sbin
	install -m 0644 $(MANPAGES5) $(prefix)/man/man5
	install -m 0644 $(MANPAGES8) $(prefix)/man/man8
	if [ ! -f $(sysconfprefix)/etc/dnetd.conf ]; then install -m 640 dnetd.conf $(sysconfprefix)/etc; fi

dep depend:	
	makedepend *.cc *.c 2>/dev/null

clean:
	makedepend
	rm -f $(PROG1) *.o *.bak


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== dnsubmit/Makefile ===
# Makefile for dnsubmit

include ../Makefile.common

PROG1=dnsubmit
PROG2=dnprint

MANPAGES=dnsubmit.1

PROG1OBJS=dnsubmit.o

all: $(PROG1) $(PROG2)

$(PROG1): $(PROG1OBJS)
	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)

$(PROG2): $(PROG1)
	ln -sf $< $@

install:
	install -d $(prefix)/bin
	install -d $(prefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	ln -sf $(PROG1) $(prefix)/bin/$(PROG2)
	install -m 0644 $(MANPAGES) $(prefix)/man/man1
	ln -sf $(PROG1).1 $(prefix)/man/man1/$(PROG2).1


dep depend:	
	makedepend *.cc *.c 2>/dev/null

clean:
	makedepend
	rm -f $(PROG2) $(PROG1) *.o *.bak


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== dntask/Makefile ===
# Makefile for dntask

include ../Makefile.common

PROG1=dntask

MANPAGES=dntask.1

PROG1OBJS=dntask.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(PROG1OBJS) $(LIBDNET)

install:
	install -d $(prefix)/bin
	install -d $(prefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(prefix)/man/man1

dep depend:	
	makedepend *.cc *.c 2>/dev/null

clean:
	makedepend
	rm -f $(PROG1) *.o *.bak


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== fal/Makefile ===
# Makefile for FAL

include ../Makefile.common

PROG1=fal

MANPAGES=fal.8 decnet.proxy.5

PROG1OBJS=fal.o server.o task.o directory.o open.o create.o erase.o rename.o \
          submit.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBS) $(DEPLIBDAEMON)
	$(CXX) -o $@ $(CXXFLAGS) $(PROG1OBJS) $(LIBS) $(LIBDAEMON) $(LIBDNET)

install:
	install -d $(prefix)/sbin
	install -d $(prefix)/man/man8
	install -d $(prefix)/man/man5
	install -m 0755 -s $(PROG1) $(prefix)/sbin
	install -m 0644 fal.8 $(prefix)/man/man8
	install -m 0644 decnet.proxy.5 $(prefix)/man/man5

dep depend:	
	makedepend *.cc *.c 2>/dev/null

clean:
	makedepend
	rm -f $(PROG1) *.o *.bak


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== include/Makefile ===
# Makefile for includes

include ../Makefile.common

all: 

install:
	if [ -L /usr/include/netdnet ]; then rm -f /usr/include/netdnet; fi
	install -d $(libprefix)/include/netdnet
	install -m 0644 netdnet/dn.h $(libprefix)/include/netdnet
	install -m 0644 netdnet/dnetdb.h $(libprefix)/include/netdnet

dep depend:	

clean:
	rm -f dnetdb/dn.h

# DO NOT DELETE

=== libdaemon/Makefile ===
include ../Makefile.common

LIBOBJS=dnet_daemon.o dnetlog.o
PICOBJS=dnet_daemon.po dnetlog.po
MANPAGES3=dnet_daemon.3

LIBNAME=libdnet_daemon

SHAREDLIB=$(LIBNAME).so.$(VERSION)
STATICLIB=$(LIBNAME).a


all: $(STATICLIB) $(SHAREDLIB)

$(STATICLIB): $(LIBOBJS)
	ar -rv $@ $^

$(SHAREDLIB): $(PICOBJS)
	$(CC) $(CCFLAGS) -Wl,-shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $^
	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

.c.o:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

.c.po:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -fPIC -c -o $@ $<

dep depend:	
	makedepend *.cc *.c 2>/dev/null

clean:
	makedepend
	rm -f *.o *.po *.bak $(STATICLIB) $(SHAREDLIB) $(LIBNAME).so*

install:
	install -m 0755 -s $(SHAREDLIB) $(libprefix)/lib
	install -m 0644 $(STATICLIB) $(libprefix)/lib
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(libprefix)/lib/$(LIBNAME).so
	install -d $(prefix)/man/man3
	install -m 0644 $(MANPAGES3) $(prefix)/man/man3

.SUFFIXES: .po

# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== libdap/Makefile ===
include ../Makefile.common

LIBOBJS=connection.o protocol.o vaxcrc.o logging.o
PICOBJS=connection.po protocol.po vaxcrc.po logging.po

LIBNAME=libdap

SHAREDLIB=$(LIBNAME).so.$(VERSION)
STATICLIB=$(LIBNAME).a


all: $(STATICLIB) $(SHAREDLIB)

$(STATICLIB): $(LIBOBJS)
	ar -rv $@ $^

$(SHAREDLIB): $(PICOBJS)
	$(CXX) $(CXXFLAGS) -Wl,-shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $^
	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

.cc.o:
	$(CXX) $(CXXFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

.cc.po:
	$(CXX) $(CXXFLAGS) $(SYSCONF_PREFIX) -fPIC -c -o $@ $<

dep depend:	
	makedepend *.cc *.c 2>/dev/null

clean:
	makedepend
	rm -f *.o *.po *.bak $(STATICLIB) $(SHAREDLIB) $(LIBNAME).so*

install:
	install -m 0755 -s $(SHAREDLIB) $(libprefix)/lib
	install -m 0644 $(STATICLIB) $(libprefix)/lib
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(libprefix)/lib/$(LIBNAME).so

.SUFFIXES: .po

# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== debian/changelog ===
dnprogs (2.04-1) stable; urgency=medium

  * See below

 -- Patrick <patrick@pandh.demon.co.uk>  Sat,  5 Feb 2000 13:39:13 +0000

Local variables:
mode: debian-changelog
add-log-mailing-address: "patrick@pandh.demon.co.uk"
End:


2.04  5 Feb 2000
----------------
- Fixed random crash in FAL when creating multiple files
- Fixed a memory leak in dncopy sending multiple files
- Fixed compilation on Slackware; I love linux having millions of distros :-(
- Made startnet give out more friendly messages
- dncopy now consults the DNCOPY_OPTIONS environment variable for default
  command-line arguments.
- Added RFA file access to FAL - this is more useful than it sounds, honest.
- Added support for files with variable length records (non-stream) to FAL.
  This needs metadata (-m) enabled.
- Fixed bug in fal where OOB ACCOMP messages never got a response. This was
  most obvious when editting a large file via EDT and quitting near the top.
- Removed dncopy.README as it didn't say anything anyway
- Include a modified dnping with all sorts of new features, submitted by 
  Rob Davies. man page by me.
- Sethost now supports RSTS/RSX and (allegedly) TOPS-20! Thanks to
  Paul Koning for the patch.
- Include rmtermd from Paul Koning so you can connect your PDP machines to 
  Linux too.

2.03  9 Dec 1999
----------------
- RPMs now include the decnetconf script.
- RPMs now include some previously missing man pages 
- Corrected dndir so that it works with DECnet/E.
  Thanks to Paul Koning <pkoning@xedia.com> for the patch. I've reworked it
  a bit so if it doesn't work blame me and not him.
  fal still needs a fair bit of work.
- Asking for a directory of an empty filespec shows the user's home directory
- Fixed startup scripts so that startnet really doesn't run on a 2.3 "Steve"
  kernel.
- Zeroed out some sockaddr_dn structures for fussier 2.3 kernels.
- Fixed compilation with gcc 2.95.2 (Debian potato)
- Added prototype to dnet_conn into dnetdb.h
- Made phoned a bit more robust to junk coming in on its socket.
- Fixed static linking. Now use the local libs rather than the installed ones.
  and also made it an all-or-nothing option.
- Fixed dialling in phoned so that it bleeps at the user again.
- ctermd no longer uses 'login -p'
- Fixed the DAP client buffer size from 65536 to 65535. D'oh! Only my FAL
  barfed on this piece of (probably alcohol induced) stupidity; and it 
  shouldn't have.
- In FAL dir node::"/dir" now adds a "/*" to the end of the name so you get
  a directory listing.
- Fal doesn't add version numbers to files that already have them (eg. files
  created by the VMS NFS client)
- Fixed mirror in dnetd.
- Fixed mirror example code in man page for dnet_daemon.
- Fixed TYPEing files from VMS broken by blocking in 2.01.
- Fixed manpage symlinks for dnet_getnode and dnet_nextnode.
- Phone client now works with 2.3 kernels.
- ctermd & dnetd use Unix98 ptys if available.
- Prevent phone client from dialling itself because it causes a dealock
  with the server. I know this is only fixing the symptom but talking to
  yourself is bad for you anyway!
- Some documentation updates and man page tidying.
- Added -p option to dnetd to specify an alternative directory to look
  for program binaries.
- startnet now works on 'Steve' kernels. It uses the sysctl interface to
  configure the system from the information in /etc/decnet.conf. You don't
  really need this (and the startup script still doesn't call it) but it
  is provided for completeness in case anyone wants to reconfigure their
  system on-the-fly.

2.02 21 Oct 1999
----------------
- Done a little porting for NetBSD
- Header field fixes (mainly for VAXeln)
- Bug fixes to KEYed reads in librms
- Added new functions to librms for easier programming

2.01 15 Aug 1999
----------------
- Now builds on libc5 systems. Will I never learn?
- Fixed dncopy/dntype with VFC files - this must have been broken for ages
- Minor Makefile tweaks
- Improved speed of dncopy and fal by extensive use of blocking
- Fixed blocking(!)
- New function in libdnet: dnet_recv(). This function is designed to hide
  the differences between recv() in the 'Eduardo' and 'Steve' kernels in 
  that it will always read a full record before returning.

2.00 11 July 1999
-----------------
- Tidied up all sorts of dndir output, particularly against VMS 7.2
- Fixed crash if dnsubmit/dnprint/dndir were run without parameters but
  with switches
- Added exit-char option to sethost and proper usage message
- Removed all references to dnmirror in man pages as it is now part of dnetd
- Improved error detection in dndel
- libdap now understands KEYDEF messages. How much use this is is doubtful
  as VMS always sends junk SUMMARY messages :-(
- FAL now (partially) understands $ADF$ files created by VMS NFS client 5.0
- rc script now installed into runlevel directory with RPM but will only start
  DECnet if /etc/decnet.conf exists
- Added Steve's dnet_ntop and dnet_pton functions to libdnet

1.94 13th June 1999
-------------------
- Tidied error messages from dndel
- Fixed Makefile for librms
- Fixed race condition in child-death handing of daemons
- Install rc script in RPM
- rc script "start" command will try to run startnet only if it has to
- RPMs and DEBs now build with a prefix of /usr
- All sorts of librms fixes
- Tidied up 'startnet -hw'. With luck it won't segfault the kernel now.

1.93 23th May 1999
------------------
- All libraries are now release under the LGPL. Thanks to Eduardo and
  Steve for allowing me to change the licence on their parts of this software
- Allow command-line options to daemons in dnetd.conf (actually this was a bug)
- Fixed logging (-v) in dncopy, dndel, dnsubmit, and dndir
- Removed error strings from dncopy that were also in libdap
- Fixed up error reporting in dncopy
- getnodebyname(3) now accepts node addresses, eg. "dndir 1.30::" works
- Moved man pages for ctermd and startnet to section 8 and updated them


=== debian/control ===
Source: dnprogs
Section: net
Priority: optional
Maintainer: Patrick <patrick@pandh.demon.co.uk>
Standards-Version: 2.4.1

Package: dnprogs
Architecture: i386
Depends: ${shlibs:Depends}
Description: DECnet programs for Linux.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=dnprogs

build:
	$(checkdir)
	
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ` debian/files* core
	-rm -f debian/*substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp `find debian/* -type d`
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	install -m 0755 scripts/setup.sh debian/postinst
	install -m 0644 include/netdnet/dn.h debian/tmp/usr/include/netdnet
	install -m 0644 include/netdnet/dnetdb.h debian/tmp/usr/include/netdnet
	install -m 0644 apps/decnet.conf debian/tmp/etc/decnet.conf
	make install DESTDIR=`pwd`/debian/tmp
	ln -sf libdnet.so.2 debian/tmp/usr/lib/libdnet.so.1
	debstd NEWS README TODO Documentation/*
	dpkg-gencontrol -pdnprogs
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
